{%extends "base.html"%}
{% load static%}



{%block title%}
Scrumptious Recipe
{%endblock title%}


{%block content%} 

<body>
    <header>

        
  <nav class="navbar navbar-expand-lg bg-primary" data-bs-theme="dark">
    <div class="container-fluid">
      <a class="navbar-brand" href="#">Navbar</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarColor01">
        <ul class="navbar-nav me-auto">
          {% if user.is_authenticated %}
          <li class="nav-item active">
            <a class="nav-link active" href="{% url 'recipe_list' %}">Home</a>
          </li>
          <li>
            <a class="nav-link" href="{% url 'edit_recipe' recipe_object.id %}">Edit Recipe</a>
          </li>
          <li>
            <a class="nav-link" href="{% url 'add_steps' recipe_object.id %}">Add Step</a>
          </li>
          <li>
            <a class="nav-link" href="{% url 'add_ingredients' %}">Add ingredient</a>
          </li>
          <li>
            <a class="nav-link" href="{% url "user_logout" %}"> Log out </a>
          </li>
          <li>
           <a class="nav-link" href="{% url 'delete_recipe' recipe_object.id %}"> Delete Recipe </a>
          </li>
            {% else %}
          <li class="nav-item active">
            <a class="nav-link active" href="{% url 'recipe_list' %}">Home</a>
          </li>
          {% endif %}
        </ul>
      </div>
    </div>
  </nav>

    </header>
    <main>
        <div class="recipe-details">
        <h1>{{recipe_object.title}}</h1>
        <img src="{{recipe_object.picture}}">
        <div>{{recipe_object.rating}} Stars</div>
        </div>
        <p>{{recipe_object.description}}</p>
        <h2>Ingredients</h2>
        <table class="table-details">

            <thead>
                <tr>
                    <th>Amount</th>
                    <th>Food item</th>
                </tr>

            <tbody class="items">
                {% for ingredient in recipe_object.ingredients.all %}
                    <tr>
                        <td>{{ingredient.amount}}</td>
                        <td>{{ingredient.food_item}}</td>
                    </tr>
                    {% endfor %}
            </tbody>

            </thead>

        </table>
        <h2>Steps</h2>
        <ol>
            {% for step in recipe_object.steps.all %}
                <li> {{step.instruction}} </li>
                {% endfor %}
        </ol>
    </main>   

</body>
{%endblock content%}
</html>
